Skip to main content
POST
/
voices
/
clone
Clone Voice
curl --request POST \
  --url https://api.truedy.ai/api/public/v1/voices/clone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My Custom Voice",
  "files": [
    {
      "filename": "sample.mp3",
      "data": "//NExAAqQIf... (base64-encoded audio)",
      "content_type": "audio/mpeg"
    }
  ]
}
'
{
  "data": {
    "id": "voice_custom123",
    "name": "My Custom Voice",
    "provider": "elevenlabs",
    "type": "custom",
    "language": "en-US",
    "status": "training",
    "created_at": "2026-03-03T20:30:21.310278Z",
    "updated_at": "2026-03-03T20:30:21.310278Z"
  },
  "meta": {
    "request_id": "req_32e7531c-8",
    "ts": "2026-03-03T20:30:21.310278Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Body

application/json
name
string
required

Name for the cloned voice

Required string length: 1 - 100
Example:

"My Custom Voice"

files
object[]
required

Array of audio files (base64-encoded)

Minimum array length: 1

Response

Voice clone created successfully

data
object
required
meta
object
required